## wshowkeys 1.0

=== meson_options.txt ===
option('devpath',
	type: 'string',
	value: '/dev/input/',
	description: 'Platform-specific path to input device files. This must be as specific as possible for security reasons.')

=== debian/changelog ===
wshowkeys (1.0-3) unstable; urgency=medium

  * d/rules: move chmod *after* dh_fixperms (Closes: #1077242)

 -- Birger Schacht <birger@debian.org>  Sat, 27 Jul 2024 14:49:02 +0200

wshowkeys (1.0-2) unstable; urgency=medium

  * Fix d/watch

 -- Birger Schacht <birger@debian.org>  Thu, 04 Jul 2024 21:57:27 +0200

wshowkeys (1.0-1) unstable; urgency=low

  * Initial release. Closes: #947858

 -- Birger Schacht <birger@debian.org>  Sat, 23 Mar 2024 12:29:57 +0100

=== debian/control ===
Source: wshowkeys
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>,
           Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               libcairo2-dev,
               libinput-dev,
               libpango1.0-dev,
               libudev-dev,
               libwayland-dev,
               libxkbcommon-dev,
               meson,
               wayland-protocols,
Standards-Version: 4.6.2
Homepage: https://git.sr.ht/~sircmpwn/wshowkeys
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/swaywm-team/wshowkeys.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/wshowkeys

Package: wshowkeys
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Wayland keypresses display
 Displays keypresses on screen on supported Wayland compositors
 (requires wlr_layer_shell_v1 support).
 .
 wshowkeys must be configured as setuid during installation. It
 requires root permissions to read input events. These permissions are
 dropped after startup.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

override_dh_fixperms:
	dh_fixperms
	chmod a+s debian/wshowkeys/usr/bin/wshowkeys

=== debian/watch ===
version=4
opts="mode=git" \
https://git.sr.ht/~sircmpwn/wshowkeys refs/tags/v?(\d\S+)
